{% extends "siswa/userbase.html.twig" %}

{% block moreCss %}
    <link href="{{ asset('css/giveRating.css') }}" rel="stylesheet">
{% endblock %}
{% block body %}

    {% set dataPengajar = { "nama": "Eddart Stark", "photo" : "https://i2.wp.com/quipperhome.wpcomstaging.com/wp-content/uploads/2018/08/790e6-ini-dia-9-tipe-guru-di-sekolah-yang-akan-kamu-temui.png"} %}
    {% embed 'siswa/secondaryBar.html.twig' %}
        {% block title %}
            Guruku
        {% endblock %}
    {% endembed %}

    {#    Tagihan#}
    <section class="container-fluid mt-3" id="panel-transaction">
    </section>

    <div class="space-25h"></div>
{% endblock %}

{% block JSMore %}
    <script type="text/javascript" src="{{ asset('js/wkwkwk.js') }}"></script>
    <script>


        function subscriptionContent(v) {
            let {subscriptionCode, id} = v;
            let name = v['skill']['user']['profile']['name'];
            let avatar = v['skill']['user']['profile']['generatedAvatar'] || location.origin + '/images/no-image.png';
            let category = v['skill']['category']['name'];
            let level = v['skill']['level']['name'];
            let hasReview = '<p class="subtitle mb-0">Anda Belum Memberikan Ulasan Kepada Guru Ini</p>';
            if (v['hasReview']) {
                hasReview = '<p class="subtitle mb-0">Bintang : ' + v['rating']['rating'] + '</p><p class="subtitle mb-0">' + v['rating']['review'] + '</p>'
            }

            return '<div class="gen-card" data-id="' + id + '">' +
                '<div style="border-bottom: 1px solid #ddd; padding: 1em">' +
                '<div class="d-flex justify-content-between align-items-center mb-2">\n' +
                '<p class="text-black-50 mb-0 f08">Nomor Langganan : #' + subscriptionCode + '</p>\n' +
                '<i class="mdi mdi-more-vert fa12"></i>\n' +
                '</div>' +
                '<div class="header-profile mb-0">\n' +
                '<div class="gambar-div-sm">\n' +
                '<img src="' + avatar + '">' +
                '</div>\n' +
                '<div class="content">\n' +
                '<p class="title">' + name + '</p>\n' +
                '<p class="subtitle mb-0">' + category + ' - ' + level + '</p>\n' + hasReview +
                '</div>\n' +
                '</div>\n' +
                '<div><a class="bt-primary p-0 d-block mt-3" href="/member/reviews/detail/' + id + '">Beri Ulasan</a></div>' +
                '</div>' +
                '</div>';
        }

        function emptyContent(text = 'Maaf Tidak Ada Data Berlangganan') {
            return '<div class="d-flex justify-content-center align-items-center" style="min-height: 300px">' + text +
                '</div>'
        }

        async function getListReviews() {
            let el = $('#panel-transaction');
            el.onDataLoading('Mohon Tunggu Sebentar. Sedang Mengunduh Data Langganan...')
            let response = await $.get('/member/reviews/list');
            console.log(response)
            el.empty();
            if (response['code'] === 200) {
                let payload = response['payload']['data'];
                if (payload.length > 0) {
                    $.each(payload, function (k, v) {
                        el.append(subscriptionContent(v));
                    });

                    $('.gen-card').on('click', function () {
                        let id = this.dataset.id;
                        window.location.href = '/member/subscription/detail/' + id;
                    })
                } else {
                    el.append(emptyContent());
                }
            }
        }

        $(document).ready(function () {
            getListReviews();
        });
    </script>
{% endblock %}